// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		0DCDE3A29A303DDAC7B34A68 /* LNModels.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85972E2BAAEE4BC57BC70D7D /* LNModels.swift */; };
		424CEEC3D60F73A1EE8EBE0A /* LNVAPPlayerView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BCFCF18C219ED666D3D894D2 /* LNVAPPlayerView.swift */; };
		630723B122F0409200B15629 /* QGVAPlayer.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 630723A722F0409200B15629 /* QGVAPlayer.framework */; };
		630723B622F0409200B15629 /* QGVAPlayerTests.m in Sources */ = {isa = PBXBuildFile; fileRef = 630723B522F0409200B15629 /* QGVAPlayerTests.m */; };
		6307243F22F0410600B15629 /* QGHWDShaders.metal in Sources */ = {isa = PBXBuildFile; fileRef = 6307240622F0410600B15629 /* QGHWDShaders.metal */; };
		69DCB6EF3D76FAEFFD1929CC /* LNLegacyMappings.swift in Sources */ = {isa = PBXBuildFile; fileRef = ADF46D8C8C93AA38D15B3345 /* LNLegacyMappings.swift */; };
		6A449A4C2102FA07B1E481A1 /* LNMP4Parser.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0DFC2669FA8BE22005CBC78B /* LNMP4Parser.swift */; };
		7644770111F618C09AAFB77A /* LNControllers.swift in Sources */ = {isa = PBXBuildFile; fileRef = CC2DF61A816CBDC209E81671 /* LNControllers.swift */; };
		7769C2ADCDBE6BA6706FA10F /* LNVAPFacade.swift in Sources */ = {isa = PBXBuildFile; fileRef = E18C9AF6293B68DAD4F8640E /* LNVAPFacade.swift */; };
		939368FB3CEDE4E9942BC232 /* LNRenderers.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0423F5B5825E119BA494D53B /* LNRenderers.swift */; };
		D0B10869F3FC013BB0FB0BE2 /* LNVAPWrapView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1826895ABCB13AB1313356B1 /* LNVAPWrapView.swift */; };
		D572F414BCB8C54DE8E43E75 /* LNUtilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = 290BBFEF3F6577C4848CB922 /* LNUtilities.swift */; };
		E1C9B98D15BDFC35B8FED6E9 /* LNPlaybackTypes.swift in Sources */ = {isa = PBXBuildFile; fileRef = 81AC387A5CA8EA729FD6999D /* LNPlaybackTypes.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		630723B222F0409200B15629 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6307239E22F0409200B15629 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 630723A622F0409200B15629;
			remoteInfo = QGVAPlayer;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		0423F5B5825E119BA494D53B /* LNRenderers.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNRenderers.swift; sourceTree = "<group>"; };
		0DFC2669FA8BE22005CBC78B /* LNMP4Parser.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNMP4Parser.swift; sourceTree = "<group>"; };
		1826895ABCB13AB1313356B1 /* LNVAPWrapView.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNVAPWrapView.swift; sourceTree = "<group>"; };
		290BBFEF3F6577C4848CB922 /* LNUtilities.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNUtilities.swift; sourceTree = "<group>"; };
		43BAD32025F2153500D17934 /* QGVAPWrapView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPWrapView.h; sourceTree = "<group>"; };
		43BAD32125F2153500D17934 /* QGVAPWrapView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPWrapView.m; sourceTree = "<group>"; };
		630723A722F0409200B15629 /* QGVAPlayer.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = QGVAPlayer.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		630723AA22F0409200B15629 /* QGVAPlayer.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPlayer.h; sourceTree = "<group>"; };
		630723AB22F0409200B15629 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		630723B022F0409200B15629 /* QGVAPlayerTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = QGVAPlayerTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		630723B522F0409200B15629 /* QGVAPlayerTests.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPlayerTests.m; sourceTree = "<group>"; };
		630723B722F0409200B15629 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		630723C322F0410600B15629 /* QGMP4Box.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGMP4Box.m; sourceTree = "<group>"; };
		630723C422F0410600B15629 /* QGMP4Parser.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGMP4Parser.h; sourceTree = "<group>"; };
		630723C522F0410600B15629 /* QGMP4Parser.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGMP4Parser.m; sourceTree = "<group>"; };
		630723C622F0410600B15629 /* QGMP4Box.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGMP4Box.h; sourceTree = "<group>"; };
		630723C722F0410600B15629 /* UIView+VAP.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIView+VAP.h"; sourceTree = "<group>"; };
		630723C922F0410600B15629 /* QGVAPWeakProxy.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGVAPWeakProxy.m; sourceTree = "<group>"; };
		630723CB22F0410600B15629 /* QGVAPLogger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGVAPLogger.h; sourceTree = "<group>"; };
		630723CC22F0410600B15629 /* QGVAPLogger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGVAPLogger.m; sourceTree = "<group>"; };
		630723CD22F0410600B15629 /* QGVAPSafeMutableDictionary.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGVAPSafeMutableDictionary.h; sourceTree = "<group>"; };
		630723CE22F0410600B15629 /* QGVAPSafeMutableArray.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGVAPSafeMutableArray.h; sourceTree = "<group>"; };
		630723CF22F0410600B15629 /* QGVAPSafeMutableArray.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGVAPSafeMutableArray.m; sourceTree = "<group>"; };
		630723D022F0410600B15629 /* QGVAPSafeMutableDictionary.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGVAPSafeMutableDictionary.m; sourceTree = "<group>"; };
		630723D122F0410600B15629 /* QGVAPWeakProxy.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGVAPWeakProxy.h; sourceTree = "<group>"; };
		630723D322F0410600B15629 /* UIColor+VAPUtil.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIColor+VAPUtil.m"; sourceTree = "<group>"; };
		630723D422F0410600B15629 /* NSNotificationCenter+VAPThreadSafe.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "NSNotificationCenter+VAPThreadSafe.h"; sourceTree = "<group>"; };
		630723D522F0410600B15629 /* UIColor+VAPUtil.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIColor+VAPUtil.h"; sourceTree = "<group>"; };
		630723D622F0410600B15629 /* NSNotificationCenter+VAPThreadSafe.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "NSNotificationCenter+VAPThreadSafe.m"; sourceTree = "<group>"; };
		630723D822F0410600B15629 /* QGMP4AnimatedImageFrame.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGMP4AnimatedImageFrame.m; sourceTree = "<group>"; };
		630723D922F0410600B15629 /* QGBaseDFileInfo.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGBaseDFileInfo.h; sourceTree = "<group>"; };
		630723DA22F0410600B15629 /* QGBaseAnimatedImageFrame.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGBaseAnimatedImageFrame.h; sourceTree = "<group>"; };
		630723DB22F0410600B15629 /* QGMP4HWDFileInfo.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGMP4HWDFileInfo.m; sourceTree = "<group>"; };
		630723DC22F0410600B15629 /* QGBaseAnimatedImageFrame+Displaying.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "QGBaseAnimatedImageFrame+Displaying.h"; sourceTree = "<group>"; };
		630723DD22F0410600B15629 /* QGBaseDFileInfo.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGBaseDFileInfo.m; sourceTree = "<group>"; };
		630723DE22F0410600B15629 /* QGMP4AnimatedImageFrame.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGMP4AnimatedImageFrame.h; sourceTree = "<group>"; };
		630723DF22F0410600B15629 /* QGMP4HWDFileInfo.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGMP4HWDFileInfo.h; sourceTree = "<group>"; };
		630723E022F0410600B15629 /* QGBaseAnimatedImageFrame.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGBaseAnimatedImageFrame.m; sourceTree = "<group>"; };
		630723E422F0410600B15629 /* QGBaseAnimatedImageFrame+Displaying.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "QGBaseAnimatedImageFrame+Displaying.m"; sourceTree = "<group>"; };
		630723E622F0410600B15629 /* QGAnimatedImageDecodeConfig.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGAnimatedImageDecodeConfig.m; sourceTree = "<group>"; };
		630723E722F0410600B15629 /* QGAnimatedImageDecodeThread.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGAnimatedImageDecodeThread.h; sourceTree = "<group>"; };
		630723E822F0410600B15629 /* QGAnimatedImageDecodeThreadPool.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGAnimatedImageDecodeThreadPool.h; sourceTree = "<group>"; };
		630723E922F0410600B15629 /* QGAnimatedImageBufferManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGAnimatedImageBufferManager.h; sourceTree = "<group>"; };
		630723EA22F0410600B15629 /* QGAnimatedImageDecodeManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGAnimatedImageDecodeManager.h; sourceTree = "<group>"; };
		630723EB22F0410600B15629 /* QGAnimatedImageDecodeConfig.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGAnimatedImageDecodeConfig.h; sourceTree = "<group>"; };
		630723EC22F0410600B15629 /* QGAnimatedImageDecodeThreadPool.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGAnimatedImageDecodeThreadPool.m; sourceTree = "<group>"; };
		630723EE22F0410600B15629 /* QGBaseDecoder.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGBaseDecoder.m; sourceTree = "<group>"; };
		630723EF22F0410600B15629 /* QGMP4FrameHWDecoder.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGMP4FrameHWDecoder.m; sourceTree = "<group>"; };
		630723F022F0410600B15629 /* QGBaseDecoder.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGBaseDecoder.h; sourceTree = "<group>"; };
		630723F122F0410600B15629 /* QGMP4FrameHWDecoder.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGMP4FrameHWDecoder.h; sourceTree = "<group>"; };
		630723F222F0410600B15629 /* QGAnimatedImageDecodeThread.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGAnimatedImageDecodeThread.m; sourceTree = "<group>"; };
		630723F322F0410600B15629 /* QGAnimatedImageBufferManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGAnimatedImageBufferManager.m; sourceTree = "<group>"; };
		630723F422F0410600B15629 /* QGAnimatedImageDecodeManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGAnimatedImageDecodeManager.m; sourceTree = "<group>"; };
		630723F522F0410600B15629 /* UIView+VAP.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIView+VAP.m"; sourceTree = "<group>"; };
		630723F822F0410600B15629 /* QGHWDMetalView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGHWDMetalView.m; sourceTree = "<group>"; };
		630723FA22F0410600B15629 /* QGHWDShaderTypes.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGHWDShaderTypes.h; sourceTree = "<group>"; };
		630723FB22F0410600B15629 /* QGHWDMetalRenderer.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGHWDMetalRenderer.m; sourceTree = "<group>"; };
		630723FD22F0410600B15629 /* QGHWDMetalView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGHWDMetalView.h; sourceTree = "<group>"; };
		630723FE22F0410600B15629 /* QGHWDMetalRenderer.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGHWDMetalRenderer.h; sourceTree = "<group>"; };
		6307240022F0410600B15629 /* QGHWDMP4OpenGLView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGHWDMP4OpenGLView.m; sourceTree = "<group>"; };
		6307240122F0410600B15629 /* QGHWDMP4OpenGLView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGHWDMP4OpenGLView.h; sourceTree = "<group>"; };
		6307240222F0410600B15629 /* VAPMacros.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = VAPMacros.h; sourceTree = "<group>"; };
		6307240622F0410600B15629 /* QGHWDShaders.metal */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.metal; path = QGHWDShaders.metal; sourceTree = "<group>"; };
		632942D7231BED7D00B511BB /* QGVAPMetalUtil.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPMetalUtil.h; sourceTree = "<group>"; };
		632942D8231BED7D00B511BB /* QGVAPMetalUtil.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPMetalUtil.m; sourceTree = "<group>"; };
		636FE34623604B570001565D /* UIView+MP4HWDecode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "UIView+MP4HWDecode.h"; sourceTree = "<group>"; };
		636FE34723604B570001565D /* UIView+MP4HWDecode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "UIView+MP4HWDecode.m"; sourceTree = "<group>"; };
		639CA47A2366D22800C0D301 /* UIGestureRecognizer+VAPUtil.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "UIGestureRecognizer+VAPUtil.h"; sourceTree = "<group>"; };
		639CA47B2366D22800C0D301 /* UIGestureRecognizer+VAPUtil.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "UIGestureRecognizer+VAPUtil.m"; sourceTree = "<group>"; };
		63AEB396231671250069CEBB /* QGVAPConfigManager.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPConfigManager.h; sourceTree = "<group>"; };
		63AEB397231671250069CEBB /* QGVAPConfigManager.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPConfigManager.m; sourceTree = "<group>"; };
		63AEB39A23167A030069CEBB /* QGVAPConfigModel.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPConfigModel.h; sourceTree = "<group>"; };
		63AEB39B23167A030069CEBB /* QGVAPConfigModel.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPConfigModel.m; sourceTree = "<group>"; };
		63AEB39E2316AF8A0069CEBB /* NSDictionary+VAPUtil.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "NSDictionary+VAPUtil.h"; sourceTree = "<group>"; };
		63AEB39F2316AF8A0069CEBB /* NSDictionary+VAPUtil.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "NSDictionary+VAPUtil.m"; sourceTree = "<group>"; };
		63AEB3A32317CD940069CEBB /* NSArray+VAPUtil.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "NSArray+VAPUtil.h"; sourceTree = "<group>"; };
		63AEB3A42317CD940069CEBB /* NSArray+VAPUtil.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "NSArray+VAPUtil.m"; sourceTree = "<group>"; };
		63AEB3EC231952DD0069CEBB /* QGVAPTextureLoader.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPTextureLoader.h; sourceTree = "<group>"; };
		63AEB3ED231952DD0069CEBB /* QGVAPTextureLoader.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPTextureLoader.m; sourceTree = "<group>"; };
		63AEB3F2231959D60069CEBB /* QGVAPMetalView.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPMetalView.h; sourceTree = "<group>"; };
		63AEB3F3231959D60069CEBB /* QGVAPMetalView.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPMetalView.m; sourceTree = "<group>"; };
		63AEB3F723195BF80069CEBB /* QGVAPMetalRenderer.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPMetalRenderer.h; sourceTree = "<group>"; };
		63AEB3F823195BF80069CEBB /* QGVAPMetalRenderer.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPMetalRenderer.m; sourceTree = "<group>"; };
		63AFC6B5231E3D4A00E127F9 /* QGVAPMetalShaderFunctionLoader.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGVAPMetalShaderFunctionLoader.h; sourceTree = "<group>"; };
		63AFC6B6231E3D4A00E127F9 /* QGVAPMetalShaderFunctionLoader.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = QGVAPMetalShaderFunctionLoader.m; sourceTree = "<group>"; };
		63AFC6B9231E3E5B00E127F9 /* QGHWDMetalShaderSourceDefine.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = QGHWDMetalShaderSourceDefine.h; sourceTree = "<group>"; };
		63BAD37622F0966300EAD4C4 /* UIDevice+VAPUtil.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "UIDevice+VAPUtil.h"; sourceTree = "<group>"; };
		63BAD37722F0966300EAD4C4 /* UIDevice+VAPUtil.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "UIDevice+VAPUtil.m"; sourceTree = "<group>"; };
		649EF40B24122B4C00164950 /* QGVAPMaskInfo.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = QGVAPMaskInfo.h; sourceTree = "<group>"; };
		649EF40C24122B4C00164950 /* QGVAPMaskInfo.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = QGVAPMaskInfo.m; sourceTree = "<group>"; };
		81AC387A5CA8EA729FD6999D /* LNPlaybackTypes.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNPlaybackTypes.swift; sourceTree = "<group>"; };
		85972E2BAAEE4BC57BC70D7D /* LNModels.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNModels.swift; sourceTree = "<group>"; };
		ADF46D8C8C93AA38D15B3345 /* LNLegacyMappings.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNLegacyMappings.swift; sourceTree = "<group>"; };
		BCFCF18C219ED666D3D894D2 /* LNVAPPlayerView.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNVAPPlayerView.swift; sourceTree = "<group>"; };
		CC2DF61A816CBDC209E81671 /* LNControllers.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNControllers.swift; sourceTree = "<group>"; };
		E18C9AF6293B68DAD4F8640E /* LNVAPFacade.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = LNVAPFacade.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		630723A422F0409200B15629 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		630723AD22F0409200B15629 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				630723B122F0409200B15629 /* QGVAPlayer.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0A1D725D941D13055DAA77FB /* View */ = {
			isa = PBXGroup;
			children = (
				BCFCF18C219ED666D3D894D2 /* LNVAPPlayerView.swift */,
				1826895ABCB13AB1313356B1 /* LNVAPWrapView.swift */,
			);
			name = View;
			path = View;
			sourceTree = "<group>";
		};
		0B83F9D6B6620704B0F0623E /* Render */ = {
			isa = PBXGroup;
			children = (
				0423F5B5825E119BA494D53B /* LNRenderers.swift */,
			);
			name = Render;
			path = Render;
			sourceTree = "<group>";
		};
		6307239D22F0409200B15629 = {
			isa = PBXGroup;
			children = (
				630723A922F0409200B15629 /* QGVAPlayer */,
				630723B422F0409200B15629 /* QGVAPlayerTests */,
				630723A822F0409200B15629 /* Products */,
			);
			sourceTree = "<group>";
		};
		630723A822F0409200B15629 /* Products */ = {
			isa = PBXGroup;
			children = (
				630723A722F0409200B15629 /* QGVAPlayer.framework */,
				630723B022F0409200B15629 /* QGVAPlayerTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		630723A922F0409200B15629 /* QGVAPlayer */ = {
			isa = PBXGroup;
			children = (
				6307240422F0410600B15629 /* Shaders */,
				630723C122F0410600B15629 /* Classes */,
				630723AB22F0409200B15629 /* Info.plist */,
				D19AA999E4A643A3A4BD84C8 /* LNSwift */,
			);
			path = QGVAPlayer;
			sourceTree = "<group>";
		};
		630723B422F0409200B15629 /* QGVAPlayerTests */ = {
			isa = PBXGroup;
			children = (
				630723B522F0409200B15629 /* QGVAPlayerTests.m */,
				630723B722F0409200B15629 /* Info.plist */,
			);
			path = QGVAPlayerTests;
			sourceTree = "<group>";
		};
		630723C122F0410600B15629 /* Classes */ = {
			isa = PBXGroup;
			children = (
				630723AA22F0409200B15629 /* QGVAPlayer.h */,
				6307240222F0410600B15629 /* VAPMacros.h */,
				630723C722F0410600B15629 /* UIView+VAP.h */,
				630723F522F0410600B15629 /* UIView+VAP.m */,
				43BAD32025F2153500D17934 /* QGVAPWrapView.h */,
				43BAD32125F2153500D17934 /* QGVAPWrapView.m */,
				630723D722F0410600B15629 /* Models */,
				630723F622F0410600B15629 /* Views */,
				630723E522F0410600B15629 /* Controllers */,
				630723C222F0410600B15629 /* MP4Parser */,
				630723C822F0410600B15629 /* Utils */,
			);
			path = Classes;
			sourceTree = "<group>";
		};
		630723C222F0410600B15629 /* MP4Parser */ = {
			isa = PBXGroup;
			children = (
				630723C622F0410600B15629 /* QGMP4Box.h */,
				630723C322F0410600B15629 /* QGMP4Box.m */,
				630723C422F0410600B15629 /* QGMP4Parser.h */,
				630723C522F0410600B15629 /* QGMP4Parser.m */,
			);
			path = MP4Parser;
			sourceTree = "<group>";
		};
		630723C822F0410600B15629 /* Utils */ = {
			isa = PBXGroup;
			children = (
				632942D7231BED7D00B511BB /* QGVAPMetalUtil.h */,
				632942D8231BED7D00B511BB /* QGVAPMetalUtil.m */,
				63AFC6B5231E3D4A00E127F9 /* QGVAPMetalShaderFunctionLoader.h */,
				63AFC6B6231E3D4A00E127F9 /* QGVAPMetalShaderFunctionLoader.m */,
				630723C922F0410600B15629 /* QGVAPWeakProxy.m */,
				630723D122F0410600B15629 /* QGVAPWeakProxy.h */,
				630723CD22F0410600B15629 /* QGVAPSafeMutableDictionary.h */,
				630723D022F0410600B15629 /* QGVAPSafeMutableDictionary.m */,
				630723CE22F0410600B15629 /* QGVAPSafeMutableArray.h */,
				630723CF22F0410600B15629 /* QGVAPSafeMutableArray.m */,
				630723CA22F0410600B15629 /* Logger */,
				630723D222F0410600B15629 /* Categorys */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		630723CA22F0410600B15629 /* Logger */ = {
			isa = PBXGroup;
			children = (
				630723CB22F0410600B15629 /* QGVAPLogger.h */,
				630723CC22F0410600B15629 /* QGVAPLogger.m */,
			);
			path = Logger;
			sourceTree = "<group>";
		};
		630723D222F0410600B15629 /* Categorys */ = {
			isa = PBXGroup;
			children = (
				630723D522F0410600B15629 /* UIColor+VAPUtil.h */,
				630723D322F0410600B15629 /* UIColor+VAPUtil.m */,
				63BAD37622F0966300EAD4C4 /* UIDevice+VAPUtil.h */,
				63BAD37722F0966300EAD4C4 /* UIDevice+VAPUtil.m */,
				630723D422F0410600B15629 /* NSNotificationCenter+VAPThreadSafe.h */,
				630723D622F0410600B15629 /* NSNotificationCenter+VAPThreadSafe.m */,
				63AEB39E2316AF8A0069CEBB /* NSDictionary+VAPUtil.h */,
				63AEB39F2316AF8A0069CEBB /* NSDictionary+VAPUtil.m */,
				63AEB3A32317CD940069CEBB /* NSArray+VAPUtil.h */,
				63AEB3A42317CD940069CEBB /* NSArray+VAPUtil.m */,
				636FE34623604B570001565D /* UIView+MP4HWDecode.h */,
				636FE34723604B570001565D /* UIView+MP4HWDecode.m */,
				639CA47A2366D22800C0D301 /* UIGestureRecognizer+VAPUtil.h */,
				639CA47B2366D22800C0D301 /* UIGestureRecognizer+VAPUtil.m */,
			);
			path = Categorys;
			sourceTree = "<group>";
		};
		630723D722F0410600B15629 /* Models */ = {
			isa = PBXGroup;
			children = (
				649EF40B24122B4C00164950 /* QGVAPMaskInfo.h */,
				649EF40C24122B4C00164950 /* QGVAPMaskInfo.m */,
				630723DA22F0410600B15629 /* QGBaseAnimatedImageFrame.h */,
				630723E022F0410600B15629 /* QGBaseAnimatedImageFrame.m */,
				630723DC22F0410600B15629 /* QGBaseAnimatedImageFrame+Displaying.h */,
				630723E422F0410600B15629 /* QGBaseAnimatedImageFrame+Displaying.m */,
				630723DE22F0410600B15629 /* QGMP4AnimatedImageFrame.h */,
				630723D822F0410600B15629 /* QGMP4AnimatedImageFrame.m */,
				630723D922F0410600B15629 /* QGBaseDFileInfo.h */,
				630723DD22F0410600B15629 /* QGBaseDFileInfo.m */,
				630723DF22F0410600B15629 /* QGMP4HWDFileInfo.h */,
				630723DB22F0410600B15629 /* QGMP4HWDFileInfo.m */,
				63AEB39A23167A030069CEBB /* QGVAPConfigModel.h */,
				63AEB39B23167A030069CEBB /* QGVAPConfigModel.m */,
				63AEB3EC231952DD0069CEBB /* QGVAPTextureLoader.h */,
				63AEB3ED231952DD0069CEBB /* QGVAPTextureLoader.m */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		630723E522F0410600B15629 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				630723EB22F0410600B15629 /* QGAnimatedImageDecodeConfig.h */,
				630723E622F0410600B15629 /* QGAnimatedImageDecodeConfig.m */,
				630723E722F0410600B15629 /* QGAnimatedImageDecodeThread.h */,
				630723F222F0410600B15629 /* QGAnimatedImageDecodeThread.m */,
				630723E822F0410600B15629 /* QGAnimatedImageDecodeThreadPool.h */,
				630723EC22F0410600B15629 /* QGAnimatedImageDecodeThreadPool.m */,
				630723E922F0410600B15629 /* QGAnimatedImageBufferManager.h */,
				630723F322F0410600B15629 /* QGAnimatedImageBufferManager.m */,
				630723EA22F0410600B15629 /* QGAnimatedImageDecodeManager.h */,
				630723F422F0410600B15629 /* QGAnimatedImageDecodeManager.m */,
				63AEB396231671250069CEBB /* QGVAPConfigManager.h */,
				63AEB397231671250069CEBB /* QGVAPConfigManager.m */,
				630723ED22F0410600B15629 /* Decoders */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		630723ED22F0410600B15629 /* Decoders */ = {
			isa = PBXGroup;
			children = (
				630723F022F0410600B15629 /* QGBaseDecoder.h */,
				630723EE22F0410600B15629 /* QGBaseDecoder.m */,
				630723F122F0410600B15629 /* QGMP4FrameHWDecoder.h */,
				630723EF22F0410600B15629 /* QGMP4FrameHWDecoder.m */,
			);
			path = Decoders;
			sourceTree = "<group>";
		};
		630723F622F0410600B15629 /* Views */ = {
			isa = PBXGroup;
			children = (
				630723F722F0410600B15629 /* Metal */,
				630723FF22F0410600B15629 /* OpenGL */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		630723F722F0410600B15629 /* Metal */ = {
			isa = PBXGroup;
			children = (
				63AEB3F12319597F0069CEBB /* Vapx */,
				630723FD22F0410600B15629 /* QGHWDMetalView.h */,
				630723F822F0410600B15629 /* QGHWDMetalView.m */,
				630723FE22F0410600B15629 /* QGHWDMetalRenderer.h */,
				630723FB22F0410600B15629 /* QGHWDMetalRenderer.m */,
			);
			path = Metal;
			sourceTree = "<group>";
		};
		630723FF22F0410600B15629 /* OpenGL */ = {
			isa = PBXGroup;
			children = (
				6307240122F0410600B15629 /* QGHWDMP4OpenGLView.h */,
				6307240022F0410600B15629 /* QGHWDMP4OpenGLView.m */,
			);
			path = OpenGL;
			sourceTree = "<group>";
		};
		6307240422F0410600B15629 /* Shaders */ = {
			isa = PBXGroup;
			children = (
				630723FA22F0410600B15629 /* QGHWDShaderTypes.h */,
				6307240622F0410600B15629 /* QGHWDShaders.metal */,
				63AFC6B9231E3E5B00E127F9 /* QGHWDMetalShaderSourceDefine.h */,
			);
			path = Shaders;
			sourceTree = "<group>";
		};
		63AEB3F12319597F0069CEBB /* Vapx */ = {
			isa = PBXGroup;
			children = (
				63AEB3F2231959D60069CEBB /* QGVAPMetalView.h */,
				63AEB3F3231959D60069CEBB /* QGVAPMetalView.m */,
				63AEB3F723195BF80069CEBB /* QGVAPMetalRenderer.h */,
				63AEB3F823195BF80069CEBB /* QGVAPMetalRenderer.m */,
			);
			path = Vapx;
			sourceTree = "<group>";
		};
		9584B67AA626C136945E2165 /* Utils */ = {
			isa = PBXGroup;
			children = (
				290BBFEF3F6577C4848CB922 /* LNUtilities.swift */,
			);
			name = Utils;
			path = Utils;
			sourceTree = "<group>";
		};
		9B1DBC00E63CB9306A9152B1 /* Parser */ = {
			isa = PBXGroup;
			children = (
				0DFC2669FA8BE22005CBC78B /* LNMP4Parser.swift */,
			);
			name = Parser;
			path = Parser;
			sourceTree = "<group>";
		};
		D19AA999E4A643A3A4BD84C8 /* LNSwift */ = {
			isa = PBXGroup;
			children = (
				DB2708DBFFB7748A7FACBB35 /* Core */,
				0B83F9D6B6620704B0F0623E /* Render */,
				9B1DBC00E63CB9306A9152B1 /* Parser */,
				E82B388FB5556671C823FE65 /* Model */,
				0A1D725D941D13055DAA77FB /* View */,
				9584B67AA626C136945E2165 /* Utils */,
				D8332413532597C3E92EED74 /* Bridges */,
			);
			name = LNSwift;
			path = LNSwift;
			sourceTree = "<group>";
		};
		D8332413532597C3E92EED74 /* Bridges */ = {
			isa = PBXGroup;
			children = (
				ADF46D8C8C93AA38D15B3345 /* LNLegacyMappings.swift */,
			);
			name = Bridges;
			path = Bridges;
			sourceTree = "<group>";
		};
		DB2708DBFFB7748A7FACBB35 /* Core */ = {
			isa = PBXGroup;
			children = (
				81AC387A5CA8EA729FD6999D /* LNPlaybackTypes.swift */,
				E18C9AF6293B68DAD4F8640E /* LNVAPFacade.swift */,
				CC2DF61A816CBDC209E81671 /* LNControllers.swift */,
			);
			name = Core;
			path = Core;
			sourceTree = "<group>";
		};
		E82B388FB5556671C823FE65 /* Model */ = {
			isa = PBXGroup;
			children = (
				85972E2BAAEE4BC57BC70D7D /* LNModels.swift */,
			);
			name = Model;
			path = Model;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXHeadersBuildPhase section */
		630723A222F0409200B15629 /* Headers */ = {
			isa = PBXHeadersBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXHeadersBuildPhase section */

/* Begin PBXNativeTarget section */
		630723A622F0409200B15629 /* QGVAPlayer */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 630723BB22F0409200B15629 /* Build configuration list for PBXNativeTarget "QGVAPlayer" */;
			buildPhases = (
				630723A222F0409200B15629 /* Headers */,
				630723A322F0409200B15629 /* Sources */,
				630723A422F0409200B15629 /* Frameworks */,
				630723A522F0409200B15629 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = QGVAPlayer;
			productName = QGVAPlayer;
			productReference = 630723A722F0409200B15629 /* QGVAPlayer.framework */;
			productType = "com.apple.product-type.framework";
		};
		630723AF22F0409200B15629 /* QGVAPlayerTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 630723BE22F0409200B15629 /* Build configuration list for PBXNativeTarget "QGVAPlayerTests" */;
			buildPhases = (
				630723AC22F0409200B15629 /* Sources */,
				630723AD22F0409200B15629 /* Frameworks */,
				630723AE22F0409200B15629 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				630723B322F0409200B15629 /* PBXTargetDependency */,
			);
			name = QGVAPlayerTests;
			productName = QGVAPlayerTests;
			productReference = 630723B022F0409200B15629 /* QGVAPlayerTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		6307239E22F0409200B15629 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 1030;
				ORGANIZATIONNAME = Tencent;
				TargetAttributes = {
					630723A622F0409200B15629 = {
						CreatedOnToolsVersion = 10.3;
					};
					630723AF22F0409200B15629 = {
						CreatedOnToolsVersion = 10.3;
					};
				};
			};
			buildConfigurationList = 630723A122F0409200B15629 /* Build configuration list for PBXProject "QGVAPlayer" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = 6307239D22F0409200B15629;
			productRefGroup = 630723A822F0409200B15629 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				630723A622F0409200B15629 /* QGVAPlayer */,
				630723AF22F0409200B15629 /* QGVAPlayerTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		630723A522F0409200B15629 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		630723AE22F0409200B15629 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		630723A322F0409200B15629 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6307243F22F0410600B15629 /* QGHWDShaders.metal in Sources */,
				E1C9B98D15BDFC35B8FED6E9 /* LNPlaybackTypes.swift in Sources */,
				7769C2ADCDBE6BA6706FA10F /* LNVAPFacade.swift in Sources */,
				7644770111F618C09AAFB77A /* LNControllers.swift in Sources */,
				939368FB3CEDE4E9942BC232 /* LNRenderers.swift in Sources */,
				6A449A4C2102FA07B1E481A1 /* LNMP4Parser.swift in Sources */,
				0DCDE3A29A303DDAC7B34A68 /* LNModels.swift in Sources */,
				424CEEC3D60F73A1EE8EBE0A /* LNVAPPlayerView.swift in Sources */,
				D0B10869F3FC013BB0FB0BE2 /* LNVAPWrapView.swift in Sources */,
				D572F414BCB8C54DE8E43E75 /* LNUtilities.swift in Sources */,
				69DCB6EF3D76FAEFFD1929CC /* LNLegacyMappings.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		630723AC22F0409200B15629 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				630723B622F0409200B15629 /* QGVAPlayerTests.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		630723B322F0409200B15629 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 630723A622F0409200B15629 /* QGVAPlayer */;
			targetProxy = 630723B222F0409200B15629 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		630723B922F0409200B15629 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 1;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				VERSIONING_SYSTEM = "apple-generic";
				VERSION_INFO_PREFIX = "";
			};
			name = Debug;
		};
		630723BA22F0409200B15629 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 1;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
				VERSIONING_SYSTEM = "apple-generic";
				VERSION_INFO_PREFIX = "";
			};
			name = Release;
		};
		630723BC22F0409200B15629 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Automatic;
				DEFINES_MODULE = YES;
				DEVELOPMENT_TEAM = 5H8D98R72W;
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				DYLIB_INSTALL_NAME_BASE = "@rpath";
				INFOPLIST_FILE = QGVAPlayer/Info.plist;
				INSTALL_PATH = "$(LOCAL_LIBRARY_DIR)/Frameworks";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.gami.vap;
				PRODUCT_NAME = "$(TARGET_NAME:c99extidentifier)";
				SKIP_INSTALL = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		630723BD22F0409200B15629 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_IDENTITY = "";
				CODE_SIGN_STYLE = Automatic;
				DEFINES_MODULE = YES;
				DEVELOPMENT_TEAM = 5H8D98R72W;
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				DYLIB_INSTALL_NAME_BASE = "@rpath";
				INFOPLIST_FILE = QGVAPlayer/Info.plist;
				INSTALL_PATH = "$(LOCAL_LIBRARY_DIR)/Frameworks";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.gami.vap;
				PRODUCT_NAME = "$(TARGET_NAME:c99extidentifier)";
				SKIP_INSTALL = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		630723BF22F0409200B15629 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 6W55574XBS;
				INFOPLIST_FILE = QGVAPlayerTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.tencent.QGVAPlayerTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		630723C022F0409200B15629 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 6W55574XBS;
				INFOPLIST_FILE = QGVAPlayerTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.tencent.QGVAPlayerTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		630723A122F0409200B15629 /* Build configuration list for PBXProject "QGVAPlayer" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				630723B922F0409200B15629 /* Debug */,
				630723BA22F0409200B15629 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		630723BB22F0409200B15629 /* Build configuration list for PBXNativeTarget "QGVAPlayer" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				630723BC22F0409200B15629 /* Debug */,
				630723BD22F0409200B15629 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		630723BE22F0409200B15629 /* Build configuration list for PBXNativeTarget "QGVAPlayerTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				630723BF22F0409200B15629 /* Debug */,
				630723C022F0409200B15629 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 6307239E22F0409200B15629 /* Project object */;
}
